Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl
Class ReportUnitValidator

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.ReportUnitValidator

All Implemented Interfaces:
  ResourceValidator

    public class ReportUnitValidator

extends java.lang.Object
implements ResourceValidator

Version:
  $Id: ResourceFactoryImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`ReportUnitValidator()`

Method Summary
`RepositoryService` | `getRepositoryService()`
`ServletContextInformation` | `getServletContextInformation()`
`void` | `setRepositoryService(RepositoryService repository)`
`void` | `setServletContextInformation(ServletContextInformation servletContextInformation)`
`ValidationErrors` | `validate(Resource resource, ValidationErrorFilter filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportUnitValidator

    public ReportUnitValidator()

Method Detail

### getRepositoryService

    public RepositoryService getRepositoryService()

### setRepositoryService

    public void setRepositoryService(RepositoryService repository)

### getServletContextInformation

    public ServletContextInformation getServletContextInformation()

### setServletContextInformation

    public void setServletContextInformation(ServletContextInformation servletContextInformation)

### validate

    public ValidationErrors validate(Resource resource,
                                     ValidationErrorFilter filter)

  Specified by:
    `validate` in interface `ResourceValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.